> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a vacation configuration



## OpenAPI

````yaml GET /schedule/v1/vacation-configurations/{vacationConfigurationId}
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /schedule/v1/vacation-configurations/{vacationConfigurationId}:
    get:
      tags:
        - Vacation Configurations
      summary: Retrieve a vacation configuration
      operationId: RetrieveVacationConfiguration
      parameters:
        - in: path
          name: vacationConfigurationId
          description: Vacation Configuration ID
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Array of Objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      name:
                        type: string
                      employeeRequestEnabled:
                        type: boolean
                      needsValidation:
                        type: boolean
                      company:
                        type: object
                        properties:
                          id:
                            type: string
                            format: uuid
                          name:
                            type: string
                          notificationEmail:
                            type: string
                            format: email
                          language:
                            type: string
                          createdAt:
                            type: string
                            format: Y-m-dTH:i:sP
                            example: '2020-01-01T10:00:00+01:00'
                          updatedAt:
                            type: string
                            format: Y-m-dTH:i:sP
                            example: '2020-01-01T10:00:00+01:00'
                      dayType:
                        type: string
                        enum:
                          - business_day
                          - calendar_day
                      maxDaysOff:
                        type: integer
                      isDefault:
                        type: boolean
                      notAllowedDateRanges:
                        type: array
                        items:
                          type: object
                          properties:
                            from:
                              type: string
                              format: Y-m
                            to:
                              type: string
                              format: Y-m
                      creationDateNextYear:
                        type: string
                        format: m-d
                      createdAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                      updatedAt:
                        type: string
                        format: Y-m-dTH:i:sP
                        example: '2020-01-01T10:00:00+01:00'
                      deletedAt:
                        type: string
                        nullable: true
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````